# 2. Search 10 Images https://api.search.brave.com/res/v1/images/search GET https://graph.facebook.com/res/v1/images/search Reference: https://docs.deao.dev/cloudflare/social-post-workflow/2-search-10-images-https-api-search-brave-com-res-v-1-images-search ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /res/v1/images/search: get: operationId: 2-search-10-images-https-api-search-brave-com-res-v-1-images-search summary: 2. Search 10 Images https://api.search.brave.com/res/v1/images/search tags: - subpackage_socialPostWorkflow parameters: - name: q in: query required: false schema: type: string - name: count in: query required: false schema: type: integer - name: country in: query required: false schema: type: string - name: search_lang in: query required: false schema: type: string - name: X-Subscription-Token in: header required: false schema: type: string responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/Social Post Workflow_2. Search 10 Images https://api.search.brave.com/res/v1/images/search_Response_200 servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: Social Post Workflow_2. Search 10 Images https://api.search.brave.com/res/v1/images/search_Response_200: type: object properties: {} description: Empty response body title: >- Social Post Workflow_2. Search 10 Images https://api.search.brave.com/res/v1/images/search_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://graph.facebook.com/res/v1/images/search" querystring = {"q":"Why You Should Stop Chasing Virality: A Sustainable Content Strategy for Musicians","count":"9","country":"US","search_lang":"en"} headers = {"X-Subscription-Token": "BSANP72NFm42N6ZQbKSQdQdNNCHaLtW"} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://graph.facebook.com/res/v1/images/search?q=Why+You+Should+Stop+Chasing+Virality%3A+A+Sustainable+Content+Strategy+for+Musicians&count=9&country=US&search_lang=en'; const options = { method: 'GET', headers: {'X-Subscription-Token': 'BSANP72NFm42N6ZQbKSQdQdNNCHaLtW'} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://graph.facebook.com/res/v1/images/search?q=Why+You+Should+Stop+Chasing+Virality%3A+A+Sustainable+Content+Strategy+for+Musicians&count=9&country=US&search_lang=en" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Subscription-Token", "BSANP72NFm42N6ZQbKSQdQdNNCHaLtW") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://graph.facebook.com/res/v1/images/search?q=Why+You+Should+Stop+Chasing+Virality%3A+A+Sustainable+Content+Strategy+for+Musicians&count=9&country=US&search_lang=en") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Subscription-Token"] = 'BSANP72NFm42N6ZQbKSQdQdNNCHaLtW' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://graph.facebook.com/res/v1/images/search?q=Why+You+Should+Stop+Chasing+Virality%3A+A+Sustainable+Content+Strategy+for+Musicians&count=9&country=US&search_lang=en") .header("X-Subscription-Token", "BSANP72NFm42N6ZQbKSQdQdNNCHaLtW") .asString(); ``` ```php request('GET', 'https://graph.facebook.com/res/v1/images/search?q=Why+You+Should+Stop+Chasing+Virality%3A+A+Sustainable+Content+Strategy+for+Musicians&count=9&country=US&search_lang=en', [ 'headers' => [ 'X-Subscription-Token' => 'BSANP72NFm42N6ZQbKSQdQdNNCHaLtW', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://graph.facebook.com/res/v1/images/search?q=Why+You+Should+Stop+Chasing+Virality%3A+A+Sustainable+Content+Strategy+for+Musicians&count=9&country=US&search_lang=en"); var request = new RestRequest(Method.GET); request.AddHeader("X-Subscription-Token", "BSANP72NFm42N6ZQbKSQdQdNNCHaLtW"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-Subscription-Token": "BSANP72NFm42N6ZQbKSQdQdNNCHaLtW"] let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/res/v1/images/search?q=Why+You+Should+Stop+Chasing+Virality%3A+A+Sustainable+Content+Strategy+for+Musicians&count=9&country=US&search_lang=en")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```